package com.mx.dla.dda.contrato.transaccion.terminos.dtos;

import java.util.List;

import com.mx.dla.global.dtos.BaseDTO;

public class MinimoGarantizadoDTO extends BaseDTO{

	private static final long serialVersionUID = 1L;
	
	private String[][] minimosCateg;
	private String[][] minimosAnio;
	private String[]   anios;
	private String     tipoMin;
	private Boolean    na;
	
	private List<List<String>> minimosCa;
	private List<List<String>> minimosAn;
	
	public String[][] getMinimosCateg() {
		return minimosCateg;
	}
	public void setMinimosCateg(String[][] minimosCateg) {
		this.minimosCateg = minimosCateg;
	}
	public String[][] getMinimosAnio() {
		return minimosAnio;
	}
	public void setMinimosAnio(String[][] minimosAnio) {
		this.minimosAnio = minimosAnio;
	}
	public String[] getAnios() {
		return anios;
	}
	public void setAnios(String[] anios) {
		this.anios = anios;
	}	
	public List<List<String>> getMinimosCa() {
		return minimosCa;
	}
	public void setMinimosCa(List<List<String>> minimosCa) {
		this.minimosCa = minimosCa;
		if(minimosCa != null)
		{
			this.minimosCateg =  new String[minimosCa.size()][minimosCa.get(0).size()];		
			for(int i=0; i<minimosCa.size();i++)
				for(int j=0; j<minimosCa.get(0).size();j++)			
					this.minimosCateg[i][j] = minimosCa.get(i).get(j);	
		}		
	}
	
	public List<List<String>> getMinimosAn() {
		return minimosAn;
	}
	public void setMinimosAn(List<List<String>> minimosAn) {			
		if(minimosAn != null)
			{
				this.minimosAnio =  new String[minimosAn.size()][minimosAn.get(0).size()];		
				for(int i=0; i<minimosAn.size();i++)
					for(int j=0; j<minimosAn.get(0).size();j++)			
						this.minimosAnio[i][j] = minimosAn.get(i).get(j);	
			}		
	}
	
	public String getTipoMin() {
		return tipoMin;
	}
	public void setTipoMin(String tipoMin) {
		this.tipoMin = tipoMin;
	}
	public Boolean getNa() {
		return na;
	}
	public void setNa(Boolean na) {
		this.na = na;
	}		
}
